| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# PoolDbBaseCnv.cpp File Reference

`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/IRegistry.h"`
`#include "GaudiKernel/DataObject.h"`
`#include "GaudiKernel/LinkManager.h"`
`#include "GaudiKernel/ContainedObject.h"`
`#include "GaudiKernel/IDataManagerSvc.h"`
`#include "GaudiKernel/IAddressCreator.h"`
`#include "GaudiKernel/IDataProviderSvc.h"`
`#include "GaudiPoolDb/IPoolDbMgr.h"`
`#include "GaudiPoolDb/PoolDbBaseCnv.h"`
`#include "GaudiPoolDb/PoolDbAddress.h"`
`#include "GaudiKernel/CnvFactory.h"`
`#include "GaudiPoolDb/PoolDbLinkManager.h"`
`#include "PersistencySvc/IPersistencySvc.h"`
`#include "PersistencySvc/IDataTransform.h"`
`#include "StorageSvc/DbObjectCallBack.h"`
`#include "StorageSvc/DbInstanceCount.h"`
`#include "StorageSvc/DbTransform.h"`
`#include "StorageSvc/DbTypeInfo.h"`
`#include "StorageSvc/DbColumn.h"`
`#include "StorageSvc/DbReflex.h"`
`#include "Reflex/Reflex.h"`
`#include "POOLCore/Token.h"`
`#include <stdexcept>`

Include dependency graph for PoolDbBaseCnv.cpp:

Go to the source code of this file.

## Classes
class | PoolDbObjectContext
class | PoolDbDataObjectHandler
## Functions
| PLUGINSVC_FACTORY_WITH_ID (PoolDbBaseCnv, ConverterID(POOL_StorageType, CLID_Any), IConverter *(long, CLID, ISvcLocator *))
| PLUGINSVC_FACTORY_WITH_ID (PoolDbBaseCnv, ConverterID(POOL_StorageType, CLID_Any+CLID_ObjectList), IConverter *(long, CLID, ISvcLocator *))
| PLUGINSVC_FACTORY_WITH_ID (PoolDbBaseCnv, ConverterID(POOL_StorageType, CLID_Any+CLID_ObjectVector), IConverter *(long, CLID, ISvcLocator *))
void | popCurrentDataObject ()
void | pushCurrentDataObject (DataObject **pobjAddr)
static bool | printLinks ()
## Variables
static pool::DbInstanceCount::Counter * | s_count
static PoolDbObjectContext * | s_context = 0

## Function Documentation

PLUGINSVC_FACTORY_WITH_ID | ( | PoolDbBaseCnv | ,
|  | ConverterID(POOL_StorageType, CLID_Any+CLID_ObjectVector) | ,
|  | IConverter * | (long, CLID, ISvcLocator *) |
| ) |  |  |

PLUGINSVC_FACTORY_WITH_ID | ( | PoolDbBaseCnv | ,
|  | ConverterID(POOL_StorageType, CLID_Any+CLID_ObjectList) | ,
|  | IConverter * | (long, CLID, ISvcLocator *) |
| ) |  |  |

PLUGINSVC_FACTORY_WITH_ID | ( | PoolDbBaseCnv | ,
|  | ConverterID(POOL_StorageType, CLID_Any) | ,
|  | IConverter * | (long, CLID, ISvcLocator *) |
| ) |  |  |

void popCurrentDataObject | ( |  | ) |

Definition at line 63 of file PoolDbIOHandler.cpp.

Referenced by PoolDbDataObjectHandler::end().

    00063                             {
    00064   static std::vector<DataObject**>& c = currentObject();
    00065   last_link_object = 0;
    00066   last_link_hint   = -1;
    00067   switch(c.size())  {
    00068     case 0:
    00069       s_currObj = c.back();
    00070       c.pop_back();
    00071       break;
    00072     default:
    00073       s_currObj = &s_objPtr;
    00074       break;
    00075   }
    00076 }

static bool @483::printLinks | ( |  | ) | `[static]`

Definition at line 145 of file PoolDbBaseCnv.cpp.

Referenced by PoolDbBaseCnv::dumpReferences(), and PoolDbBaseCnv::updateObjRefs().

    00145                             {
    00146     static bool prt = false;
    00147     return prt;
    00148   }

void pushCurrentDataObject | ( | DataObject ** | pobjAddr | ) |

Definition at line 55 of file PoolDbIOHandler.cpp.

Referenced by PoolDbDataObjectHandler::start().

    00055                                                   {
    00056   static std::vector<DataObject**>& c = currentObject();
    00057   c.push_back(pobjAddr);
    00058   s_currObj = pobjAddr ? pobjAddr : &s_objPtr;
    00059   last_link_object = 0;
    00060   last_link_hint   = -1;
    00061 }

## Variable Documentation

PoolDbObjectContext* s_context = 0`[static]`

Definition at line 58 of file PoolDbBaseCnv.cpp.

Referenced by PoolDbDataObjectHandler::clone(), PoolDbObjectContext::PoolDbObjectContext(), and PoolDbObjectContext::~PoolDbObjectContext().

pool::DbInstanceCount::Counter* s_count`[static]`

Initial value:

      pool::DbInstanceCount::getCounter(typeid(PoolDbBaseCnv))

Definition at line 43 of file PoolDbBaseCnv.cpp.